# extconf.rb

Path: | ext/RMagick/extconf.rb
Last Update: | Wed Apr 17 21:41:28 +0000 2013

### Required files

mkmf date

### Methods

check_multiple_imagemagick_versions check_partial_imagemagick_versions exit_failure have_enum_value have_enum_values

### Constants

RMAGICK_VERS | = | "2.13.2"
MIN_RUBY_VERS | = | "1.8.5"
MIN_RUBY_VERS_NO | = | MIN_RUBY_VERS.tr(".","").to_i
MIN_IM_VERS | = | "6.4.9"
MIN_IM_VERS_NO | = | MIN_IM_VERS.tr(".","").to_i
SUMMARY | = | <<"END_SUMMARY" #{"=" * 70} #{DateTime.now.strftime("%a %d%b%y %T")} This installation of RMagick #{RMAGICK_VERS} is configured for Ruby #{RUBY_VERSION} (#{RUBY_PLATFORM}) and ImageMagick #{$magick_version} #{"=" * 70} END_SUMMARY

### Public Instance methods

check_multiple_imagemagick_versions()

Seems like lots of people have multiple versions of ImageMagick installed.

check_partial_imagemagick_versions()

Ubuntu (maybe other systems) comes with a partial installation of ImageMagick in the prefix /usr (some libraries, no includes, and no binaries). This causes problems when /usr/lib is in the path (e.g., using the default Ruby installation).

exit_failure(msg)
have_enum_value(enum, value, headers=nil, &b)

Test for a specific value in an enum type

have_enum_values(enum, values, headers=nil, &b)

Test for multiple values of the same enum type

[Validate]